---
date: 2022-01-12
author: Alexandre LUCAZEAU
title: Associer un fichier de configuration à l'installation d'un paquet
tags:
- nixos
categories :
- nixos
draft: false
description : "Associer un fichier de configuration à l'installation d'un paquet"
---
# Associer un fichier à un paquet

    { pkgs, ... }:

    {
      home = {
        packages = with pkgs; [ zathura ];
    
        file.".config/zathura/zathurarc".source = ./zathurarc;
      };
    }
