---
date: 2022-03-17
author: Alexandre LUCAZEAU
title: "Proxmox 1 an après"
slug: 
tags:
- proxmox
categories:
- virtualisation
draft: false
description: "Ré-installation et tunning"
---
Les besoins ont changés, le matériel aussi. Exit les vieux disques sata, place à du neuf.

La configuration disque est basée sur un SSD de 128Go pour le système, et deux disque sata d'1To en RAID1 pour les VMs, et container.

Après avoir installé Proxmox 7.1 sur le SSD formaté en SSD, un peu de tunning:

### Changer la valeur du swapiness pour 90% au lieu de 60%
`sysctl vm.swappiness=90`

### Supprimer les dépôts entreprise
`rm -f /etc/apt/sources.list.d/pve-enterprise.list`

### Ajout du dépot gratuit

echo "deb http://download.proxmox.com/debian buster pve-no-subscription" >> /etc/apt/sources.list
apt update

### Création du zpool

`zpool create -f -o ashift=12 datastorez mirror /dev/sda /dev/sdb`

Puis dans Proxmox :
  * Storage
  * Add
  * zpool
  * id : D1
  * ZFS Pool: datastorez


