---
title: "Utiliser un KVM logiciel pour passer d'une machine à une autrre"
date: 2022-01-05T11:48:56+02:00
tags:
- kvm, dotfiles
categories :
- commandline
draft: false
description : "barrier le KVM logiciel libre"
slug : "dotfiles-kvm-barrier-synergy"

---

A une époque, un logiciel libre nommé **synergy** permettait de partager le clavier et la souris entre plusieur PC, comme on pourrait le faire avec un KVM. Le partage d'écran et de ports USB en moins.
Puis ce logiciel à supprimé sa doc, et est passé à un modèle totalement sous licence.

**Barrier** est un fork de **synergy**, né de la dernière version libre de ce dernier.

L'installation de **barrier** n'est pas aussi complète sous nixos que pour **synergy**

Il vous faudra ouvrir le port 24800 et générer le certificat x509 nécessaire au chiffrement des communications

    $ cd  ~/.local/share/barrier/SSL
    $ mkdir -p Fingerprints
    $ openssl req -x509 -nodes -days 365 -subj /CN=barrier -newkey rsa:4096 -keyout barrier.pem -out barrier.pem
    $ openssl x509 -fingerprint -sha1 -noout -in barrier.pem > Fingerprints/Local.txt
    $ sed -e "s/.*=//" -i Fingerprints/Local.txt
