--- 
title: "git : pousser une branche locale dans un depot distant"
date: 2021-10-07
tags: 
- git 
- push
- remote
categories : 
- commandline 
draft: false 
description : "Archiver un dépôt git dans un nouveau repo"
--- 

Ce matin j'ai eu besoin de de transférer le contenu dans vieux dépôt git dans une  branche d'un autre dépôt, distant.

Il s'agit d'une simple opération d'archivage de code et de son historique. Le projet à évolué et le nouveau code est là et sur une nouvelle plateforme.

J'aime bien conserver l'histoire, on sait jamais.

On pourrait même imaginer avoir un dépot Archives et y placer dans des branches distinctes les anciens projets, et ainsi ne rien perdre, que ce soit le code, les commits etc..

Tout va s'opérer depuis le dépôt source

    cd git/mon_vieux_depot

On se place dans la branche à transférer, mais ça peut être **main**

    git checkout viellebranche

On transfert les objet dans un dépot distant, dans une branche particulière (si on précise pas le nom de la branche, le transfert se fait dans *master* )

    git push -u git@gitlab.com:mondepot.git old-20211006

Note : si old-20211006 n'existe pas, git va créé la branche distante
